require 'titlezilla/translator'

module Titlezilla
  module Helpers
    module Title
      def title(override = nil)
        translator.title(override)
      end

      def application_title
        translator.application_title
      end

      def meta_title
        translator.meta_title
      end

      def title_tag
        content_tag :title, meta_title
      end

      private

      def translator
        @translator ||= Translator.new(controller_path, action_name, controller.view_assigns.symbolize_keys)
      end
    end
  end
end
